Bug 1775784 - new interface (in edit host menu) is confirmed with enter, but enter confirms host update instead of new interface, this action cause another misbehavior
Summary: new interface (in edit host menu) is confirmed with enter, but enter confirms...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Form
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-22 19:27 UTC by tstrych
Modified: 2021-11-16 14:09 UTC (History)
7 users (show)

Fixed In Version: foreman-2.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:08:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32397 0 Normal New Confirming interface modal by enter causes whole Host form to get confirmed 2021-04-22 14:22:02 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:08:59 UTC

Description tstrych 2019-11-22 19:27:56 UTC
Description of problem:
When user adds new interfaces to hosts and user will confirm this action with enter instead new interface confirmation the host update confirmation is done. This action is also causing additional bug where user is unable to continue with his work without refresh or url change, because screen is faded with gray color and no action is allowed. 


Version-Release number of selected component (if applicable):
Sat 6.6 snap 24 
and also 
Sat 6.7 snap 1 

How reproducible:
Always


Steps to Reproduce:
1. Navigate through Host -> Edit host -> Interfaces -> Add Interface
2. Click with mouse to any field in Add interface menu ( e.g Device Identifier)
3. Press Enter on your keyboard (doesn't matter which enter)

Actual results:
Confirmation doesn't work for new interface submit, but for the host submit. Host is updated, but user is unable to continue the work, because screen is faded by gray color. 

more concretely div element with class: modal-backdrop fade in

Expected results:
After user will hit the enter, only new interface should be added. And another enter should confirm host update. 


Additional info:
Not sure why is allowed to add empty interfaces ( without any attributes ) to your hosts. But this is not connected with this bugzilla. I would just like to know the idea behind that.

Comment 3 Ondřej Ezr 2021-04-22 08:58:27 UTC
We failed to reproduce this, it was most likely fixed in the meantime.

Comment 4 Ondřej Ezr 2021-04-22 14:19:46 UTC
This is still an issue, we didn't reproduce properly.

Comment 5 Ondřej Ezr 2021-04-22 14:22:00 UTC
Created redmine issue https://projects.theforeman.org/issues/32397 from this bug

Comment 8 Bryan Kearney 2021-05-28 10:21:59 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32397 has been resolved.

Comment 9 tstrych 2021-07-08 10:57:41 UTC
Simple fix in upstream. 
Steps from #comment 0 were reproduced. 
Works as expected. 
Enter now submit the interface page. 
Verified with 6.10 snap 8 with foreman-2.5.1-1.
Thanks

Comment 12 errata-xmlrpc 2021-11-16 14:08:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.